package com.bla;

import com.google.api.server.spi.auth.common.User;
import com.google.api.server.spi.config.Api;
import com.google.api.server.spi.config.ApiMethod;
import com.google.api.server.spi.config.ApiNamespace;
import com.google.appengine.api.oauth.OAuthRequestException;

import javax.inject.Named;

import static com.bla.Constants.API_V2_WEB_CLIENT_ID;
import static com.bla.Constants.EMAIL_SCOPE;
import static com.google.api.server.spi.Constant.API_EXPLORER_CLIENT_ID;
import static com.google.api.server.spi.config.ApiMethod.HttpMethod.GET;

@Api(
		name = "admin",
		version = "v1",
		scopes = {EMAIL_SCOPE},
		clientIds = {API_V2_WEB_CLIENT_ID, API_EXPLORER_CLIENT_ID},
		namespace = @ApiNamespace(
				ownerDomain = "bla.com",
				ownerName = "bla.com"
		)
)
public class AdminApi {
	@ApiMethod(name = "helloAdmin", path = "hello/admin", httpMethod = GET)
	public StringData helloAdmin(@Named("name") String name, User user) throws OAuthRequestException {
		if (user == null) throw new OAuthRequestException("Must log in");

		return new StringData("Hello " + name);
	}
}
