package com.bla;

import com.google.api.server.spi.auth.common.User;
import com.google.api.server.spi.config.Api;
import com.google.api.server.spi.config.ApiClass;
import com.google.api.server.spi.config.ApiMethod;
import com.google.api.server.spi.config.ApiNamespace;
import com.google.appengine.api.oauth.OAuthRequestException;

import javax.inject.Named;

import static com.bla.Constants.API_V2_ANDROID_AUDIENCE;
import static com.bla.Constants.API_V2_ANDROID_CLIENT_ID;
import static com.bla.Constants.API_V2_WEB_CLIENT_ID;
import static com.bla.Constants.EMAIL_SCOPE;
import static com.google.api.server.spi.Constant.API_EXPLORER_CLIENT_ID;
import static com.google.api.server.spi.config.ApiMethod.HttpMethod.GET;

@Api(
		name = "api",
		version = "v2",
		namespace = @ApiNamespace(
				ownerDomain = "bla.com",
				ownerName = "bla.com"
		)
)
@ApiClass(
		scopes = {EMAIL_SCOPE},
		clientIds = {API_V2_ANDROID_CLIENT_ID, API_V2_WEB_CLIENT_ID, API_EXPLORER_CLIENT_ID},
		audiences = {API_V2_ANDROID_AUDIENCE}
)
public class ApiV2 {
	@ApiMethod(name = "helloAuth", path = "hello/auth", httpMethod = GET)
	public StringData helloAuth(@Named("name") String name, User user) throws OAuthRequestException {
		if (user == null) throw new OAuthRequestException("Must log in");

		return new StringData("Hello " + name);
	}
}